{% extends 'site_base.html' %}
{% load static %}
{% load humanize %}
{% load custom_tags %}

{% block content %}
    <section class="content-header customer_content_header">
        <h1>
            {% if request.user|has_group:"Finance" %}
                Finance Dashboard
            {% elif request.user|has_group:"BusinessHead" %}
                Business Head Dashboard
            {% endif %}
            <small>Version 2.0</small>
        </h1>
        <ol class="breadcrumb">
            <li>
                <a href="javascript:void(0);">
                    <i class="fa fa-dashboard"></i> Home
                </a>
            </li>
            <li class="active">Dashboard</li>
        </ol>
    </section>

    <section style="min-height: 10px;" class="content">
        <div class="row">
            <div class="col-md-4 col-sm-6 col-xs-12">
                <div class="info-box">
                    <span class="info-box-icon bg-aqua"><i class="ion ion-ios-gear-outline"></i></span>
                    <a href='/transactions/order_head/outstanding/?on_id=1' style="color:black">
                    <div class="info-box-content">
                        <span class="info-box-text"> Outstanding</span>
                        <span class="info-box-number">
                            {{outstanding|default:"0"}}
                        </span>
                    </div>
                    </a>
                </div>
            </div>

            <div class="col-md-4 col-sm-6 col-xs-12">
                <div class="info-box">
                    <span class="info-box-icon bg-red"><i class="fa fa-star"></i></span>
                    <a href="{% url 'collection_ledger' %}" style="color:black">
                    <!--<a href='/transactions/order_head/outstanding/?on_id={{request.user.id}}' style="color:black">-->
                    <div class="info-box-content">
                        <span class="info-box-text">Collections</span>
                        <span class="info-box-number">
                          ₹ {{collection|floatformat:2|intcomma}}
                        </span>
                    </div></a>
                    </a>
                </div>
            </div>

            <div class="col-md-4 col-sm-6 col-xs-12">
                <div class="info-box">
                    <span class="info-box-icon bg-green"><i class="ion ion-ios-people-outline"></i></span>

                    <div class="info-box-content">
                        <a href="/user/?list=1" style="color:black">
                        <span class="info-box-text">Dealers</span>
                        <span class="info-box-number">{{totaldealer|default:"0"}}</span>
                        </a>
                    </div>
                </div>
            </div>

            <div class="box-body">
                <div class="row">
                    <div class="col-md-12">
                        {% if specialList|length > 0 %}
                            <div class="box box-info">
                                <div class="box-header with-border">
                                    <h3 class="box-title" style="font-weight: 600;">Pending for Special Discount</h3>

                                    <div class="box-tools pull-right">
                                        <button type="button" class="btn btn-box-tool" data-widget="collapse">
                                            <i class="fa fa-minus"></i>
                                        </button>
                                    </div>
                                </div>
                                <div class="box-body">
                                    <div class="table-responsive">
                                        <table class="table no-margin">
                                            <thead>
                                                <tr>
                                                    <th>Series No.</th>
                                                    <th>Company</th>
                                                    <th>Discount Date</th>
                                                    <th>Status</th>
                                                    <th>Type</th>
                                                    <th style="text-align: right;">Value (₹)</th>
                                                    <th>Remarks</th>
                                                    {% if request.user|has_group:"BusinessHead" %}
                                                    <th>Action</th>
                                                    {% endif %}
                                                </tr>
                                            </thead>
                                            <tbody>
                                                {% for ledger in specialList|slice:":5" %}
                                                     <tr>
                                                        <td>{{ledger.series_no}}</td>
                                                        <td>{{ledger.company}}</td>
                                                        <td>{{ledger.discount_date}}</td>
                                                        <td>
                                                            {% if ledger.status == 'Pending' %}
                                                            <span class="label label-warning">{{ledger.status}}</span>
                                                            {% elif ledger.status == 'Rejected' %}
                                                            <span class="label label-danger">{{ledger.status}}</span>
                                                            {% elif ledger.status == 'Approved' %}
                                                            <span class="label label-success">{{ledger.status}}</span>
                                                            {% endif %}
                                                        </td>
                                                        <td>{{ledger.type}}</td>
                                                        <td style="text-align:right">{{ledger.value|floatformat:2|intcomma}}</td>
                                                        <td>{{ledger.remarks|default:"---"}}</td>
                                                        {% if request.user|has_group:"BusinessHead" %}
                                                        <td>
                                                            {% if ledger.status == 'Pending' %}
                                                            <button id="btnApprove_{{forloop.counter}}" type="button" class="btn btn-sm btn-success">
                                                                Approve
                                                            </button>
                                                            <button id="btnReject_{{forloop.counter}}" type="button" class="btn btn-sm btn-danger">
                                                                Reject
                                                            </button>
                                                            <input id="txtId_{{forloop.counter}}" type="hidden" value="{{ledger.id}}">
                                                            {% else %}
                                                            ---
                                                            {% endif %}
                                                        </td>
                                                        {% endif %}
                                                    </tr>
                                                {% endfor %}
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                <!--{% if specialList|length > 5 %}-->
                                    <!--<div class="box-footer clearfix">-->
                                        <!--<a href="/user/finance-dashboard/Orderslist/Pending" class="btn btn-sm btn-default btn-flat pull-right">-->
                                            <!--View All Orders-->
                                        <!--</a>-->
                                    <!--</div>-->
                                <!--{% endif %}-->
                            </div>
                        {% endif %}
                        {% if debitList|length > 0 %}
                            <div class="box box-info">
                                <div class="box-header with-border">
                                    <h3 class="box-title" style="font-weight: 600;">Pending for Debit Note</h3>

                                    <div class="box-tools pull-right">
                                        <button type="button" class="btn btn-box-tool" data-widget="collapse">
                                            <i class="fa fa-minus"></i>
                                        </button>
                                    </div>
                                </div>
                                <div class="box-body">
                                    <div class="table-responsive">
                                        <table class="table no-margin">
                                            <thead>
                                                <tr>
                                                    <!--<th>Series No.</th>-->
                                                    <th>Company</th>
                                                    <th>Discount Date</th>
                                                    <th>Status</th>
                                                    <th>Type</th>
                                                    <th style="text-align: right;">Value (₹)</th>
                                                    <th>Remarks</th>
                                                    {% if request.user|has_group:"BusinessHead" %}
                                                    <th>Action</th>
                                                    {% endif %}
                                                </tr>
                                            </thead>
                                            <tbody>
                                                {% for ledger in debitList|slice:":5" %}
                                                     <tr>
                                                        <!--<td>{{ledger.series_no}}</td>-->
                                                        <td>{{ledger.company}}</td>
                                                        <td>{{ledger.date}}</td>
                                                        <td>
                                                            {% if ledger.status == 'Pending' %}
                                                            <span class="label label-warning">{{ledger.status}}</span>
                                                            {% elif ledger.status == 'Rejected' %}
                                                            <span class="label label-danger">{{ledger.status}}</span>
                                                            {% elif ledger.status == 'Approved' %}
                                                            <span class="label label-success">{{ledger.status}}</span>
                                                            {% endif %}
                                                        </td>
                                                        <td>{{ledger.type}}</td>
                                                        <td style="text-align:right">{{ledger.value|floatformat:2|intcomma}}</td>
                                                        <td>{{ledger.remarks|default:"---"}}</td>
                                                        {% if request.user|has_group:"BusinessHead" %}
                                                        <td>
                                                            {% if ledger.status == 'Pending' %}
                                                            <button id="btnApprove1_{{forloop.counter}}" type="button" class="btn btn-sm btn-success">
                                                                Approve
                                                            </button>
                                                            <button id="btnReject1_{{forloop.counter}}" type="button" class="btn btn-sm btn-danger">
                                                                Reject
                                                            </button>
                                                            <input id="txtId1_{{forloop.counter}}" type="hidden" value="{{ledger.id}}">
                                                            {% else %}
                                                            ---
                                                            {% endif %}
                                                        </td>
                                                        {% endif %}
                                                    </tr>
                                                {% endfor %}
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                <!--{% if debitList|length > 5 %}-->
                                    <!--<div class="box-footer clearfix">-->
                                        <!--<a href="/user/finance-dashboard/Orderslist/Pending" class="btn btn-sm btn-default btn-flat pull-right">-->
                                            <!--View All Orders-->
                                        <!--</a>-->
                                    <!--</div>-->
                                <!--{% endif %}-->
                            </div>
                        {% endif %}
                        <div class="box box-info">
                            <div class="box-header with-border">
                                <h3 class="box-title" style="font-weight: 600;">Latest Orders</h3>

                                <div class="box-tools pull-right">
                                    <button type="button" class="btn btn-box-tool" data-widget="collapse">
                                        <i class="fa fa-minus"></i>
                                    </button>
                                </div>
                            </div>
                            <div class="box-body">
                                <div class="table-responsive">
                                    <table class="table no-margin">
                                        <thead>
                                            <tr>
                                                <th>Order No</th>
                                                <th>DMS No</th>
                                                <th>Order Date</th>
                                                <th>Dispatch Date</th>
                                                <th>Invoice Value</th>
                                                <!--<th>Discount </th>-->
                                                <!--<th>Payable </th>-->
                                                <th>Status</th>
                                                 <th>SR</th>
                                                <th>Dealer</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            {% if orderList|length > 0 %}
                                                {% for obj in orderList|slice:":5" %}
                                                    <tr>
                                                        <td>
                                                            <a href="/user/order-detail/{{obj.order_number}}">
                                                                {{obj.order_number}}
                                                            </a>
                                                        </td>
                                                        {% if obj.DMS_order_number %}
                                                            <td><a href="/user/order-detail/{{obj.order_number}}">{{obj.DMS_order_number}}</a></td>
                                                        {% else%}
                                                            <td><span >{{obj.DMS_order_number| default:"---"}}</span></td>
                                                        {% endif %}
                                                        <td>{{obj.order_date|date|default:"---"}}</td>
                                                        <td>{{obj.Dispatched_Date|date|default:"---"}}</td>
                                                        <td>₹ {{obj.total_amount|floatformat:2|intcomma}}</td>
                                                        <!--<td>₹ {{obj.discount_amount|floatformat:2|intcomma}}</td>-->
                                                        <!--<td>-->
                                                            <!--{% if obj.get_status_display == 'Dispatched'%}-->
                                                            <!--₹ {{obj.payable_amount|floatformat:2|intcomma}}-->
                                                            <!--{% else %}-->
                                                            <!-- -&#45;&#45;-->
                                                            <!--{% endif %}-->
                                                        <!--</td>-->
                                                        <td>
                                                            <span class="label label-info {{obj.status}}">
                                                                {{obj.get_status_display}}
                                                            </span>
                                                        </td>
                                                        <td>{{obj.sr_id.first_name}} {{obj.sr_id.last_name}}</td>
                                                        <td>
                                                            <a href="{% url 'dealer_profile' obj.dealer.pk %}">
                                                                {{obj.dealer.user_code}}.{{obj.company}}
                                                            </a>
                                                        </td>
                                                    </tr>
                                                {% endfor %}
                                            {% else %}
                                                <tr>
                                                    <td colspan="10" style="text-align: center;">No data found.</td>
                                                </tr>
                                            {% endif %}
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                            {% if orderList|length > 5 %}
                                <div class="box-footer clearfix">
                                    <a href="/user/finance-dashboard/Orderslist/all" class="btn btn-sm btn-default btn-flat pull-right">
                                        View All Orders
                                    </a>
                                </div>
                            {% endif %}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
<div id="modal-confirmation" class="modal fade modal-alert">
        <div class="modal-dialog modal-dialog-new">
            <div class="modal-content modal-content-new">
                <div class="modal-header modal-header-new">
                    <i class="fa fa-times-circle"></i>
                </div>
                <div class="modal-title modal-title-new">Cancel</div>
                <div class="modal-body modal-body-new" style="color:#444 !important;background-color:#fff !important">Are you sure you want to reject this request?</div>
                <div class="modal-footer modal-footer-new" style="background-color:#fff !important;border-top:1px solid #fff !important">
                    <form method="post" action="{% url 'special_cd' %}">{% csrf_token %}
                        <input id="h_ledger_id" type="hidden" name="ledger_id">
                        <button id="confirm-id" type="submit" class="btn btn-danger btn-3d"
                                value="Approved" name="status">Yes</button>
                        <a class="btn btn-info btn-3d" data-dismiss="modal">No</a>
                    </form>
                </div>
            </div>
        </div>
    </div>
<div id="modal-confirmation-db" class="modal fade modal-alert">
        <div class="modal-dialog modal-dialog-new">
            <div class="modal-content modal-content-new">
                <div class="modal-header modal-header-new">
                    <i class="fa fa-times-circle"></i>
                </div>
                <div class="modal-title modal-title-new">Cancel</div>
                <div class="modal-body modal-body-new" style="color:#444 !important;background-color:#fff !important">Are you sure you want to reject this request?</div>
                <div class="modal-footer modal-footer-new" style="background-color:#fff !important;border-top:1px solid #fff !important">
                    <form method="post" action="{% url 'debit_note' %}">{% csrf_token %}
                        <input id="h_ledger_id_db" type="hidden" name="ledger_id">
                        <button id="confirm-id_db" type="submit" class="btn btn-danger btn-3d"
                                value="Approved" name="status">Yes</button>
                        <a class="btn btn-info btn-3d" data-dismiss="modal">No</a>
                    </form>
                </div>
            </div>
        </div>
    </div>

{% endblock %}


{% block extra_script_block %}
    {{ block.super }}

    <script type="text/javascript">
        var order_id = 1;
        $(document).ready(function() {
            $('.content-header').first().remove();

            $('#ddlFilter').change(function() {
                order = getUrlVars()["order"];
                if(order == undefined) {
                    if(location.href.indexOf('?') != -1)
                        var newUrl = location.href+'&order='+$(this).val()
                    else
                        var newUrl = location.href+'?order='+$(this).val()
                    window.location=newUrl
                }
                else {
                    var newUrl = location.href.replace("order="+order, "order="+$(this).val());
                    window.location=newUrl
                }
            })

            $(document).on('click', '[id^="btnApprove_"]', function() {

                var counter = this.id.split('_')[1];
                var counter_value = $("#txtId_" + counter).val();
                $("#h_ledger_id").val(counter_value);

                $(".modal-header-new").css('background-color', '#008d4c !important');
                $("#modal-confirmation").addClass('modal-success').removeClass('modal-danger');

                $("#confirm-id").addClass('btn-success').removeClass('btn-danger');
                $("#confirm-id").attr("value", 'Approved');

                $(".modal-header-new").html('<i class="fa fa-check-circle"></i>');
                $(".modal-title-new").html('Confirm');
                $(".modal-body-new").html('Are you sure you want to approve this request?');
                $('#modal-confirmation').modal('show');
            });
            $(document).on('click', '[id^="btnApprove1_"]', function() {

                var counter = this.id.split('_')[1];
                var counter_value = $("#txtId1_" + counter).val();
                $("#h_ledger_id_db").val(counter_value);

                $(".modal-header-new").css('background-color', '#008d4c !important');
                $("#modal-confirmation-db").addClass('modal-success').removeClass('modal-danger');

                $("#confirm-id_db").addClass('btn-success').removeClass('btn-danger');
                $("#confirm-id_db").attr("value", 'Approved');

                $(".modal-header-new").html('<i class="fa fa-check-circle"></i>');
                $(".modal-title-new").html('Confirm');
                $(".modal-body-new").html('Are you sure you want to approve this request?');
                $('#modal-confirmation-db').modal('show');
            });

            $(document).on('click', '[id^="btnReject_"]', function() {

                var counter = this.id.split('_')[1];
                var counter_value = $("#txtId_" + counter).val();
                $("#h_ledger_id").val(counter_value);

                $(".modal-header-new").css('background-color', '#e46050 !!important');
                $("#modal-confirmation").removeClass('modal-success');

                $("#confirm-id").addClass('btn-danger').removeClass('btn-success');
                $("#confirm-id").attr("value", 'Rejected');

                $(".modal-header-new").html('<i class="fa fa-times-circle"></i>');
                $(".modal-title-new").html('Cancel');
                $(".modal-body-new").html('Are you sure you want to reject this request?');
                $('#modal-confirmation').modal('show');
            });
            $(document).on('click', '[id^="btnReject1_"]', function() {

                var counter = this.id.split('_')[1];
                var counter_value = $("#txtId_" + counter).val();
                $("#h_ledger_id_db").val(counter_value);

                $(".modal-header-new").css('background-color', '#e46050 !!important');
                $("#modal-confirmation-db").removeClass('modal-success');

                $("#confirm-id_db").addClass('btn-danger').removeClass('btn-success');
                $("#confirm-id_db").attr("value", 'Rejected');

                $(".modal-header-new").html('<i class="fa fa-times-circle"></i>');
                $(".modal-title-new").html('Cancel');
                $(".modal-body-new").html('Are you sure you want to reject this request?');
                $('#modal-confirmation-db').modal('show');
            });
        });

        function getUrlVars() {
            var vars = [], hash;
            var hashes = window.location.href.slice(window.location.href.indexOf('?') + 1).split('&');
            for(var i = 0; i < hashes.length; i++) {
                hash = hashes[i].split('=');
                vars.push(hash[0]);
                vars[hash[0]] = hash[1];
            }
            return vars;
        }
    </script>
{% endblock %}